al_open_native_text_log(3)

NAME

al_open_native_text_log - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    ALLEGRO_TEXTLOG *al_open_native_text_log(char const *title, int flags)

DESCRIPTION

Opens a window to which you can append log messages with al_append_native_text_log(3). This can be useful for debugging if you don't want to depend on a console being available.

Use al_close_native_text_log(3) to close the window again.

The flags available are:

ALLEGRO_TEXTLOG_NO_CLOSE
    Prevent the window from having a close button. Otherwise, if the close button is pressed, an event is generated; see al_get_native_text_log_event_source(3).

ALLEGRO_TEXTLOG_MONOSPACE
    Use a monospace font to display the text.

Returns NULL if there was an error opening the window, or if text log windows are not implemented on the platform.

SEE ALSO

al_append_native_text_log(3), al_close_native_text_log(3)